import request from '@/config/axios'

// 招聘会 API
export const JobFairWhiteApi = {
  // 获得招聘会白名单企业
  getJobFairWhiteList: async (params: any) => {
    return await request.get({ url: `/menduner/system/job-fair/get-white-enterprise`, params })
  },

  // 添加企业白名单
  addJobFairWhiteList: async (enterpriseName: string) => {
    return await request.put({ url: `/menduner/system/job-fair/add-white-list2?enterpriseName=${enterpriseName}` })
  },

  // 移除企业白名单
  removeJobFairWhiteList: async (enterpriseName: string) => {
    return await request.put({ url: `/menduner/system/job-fair/remove-white-list2?enterpriseName=${enterpriseName}` })
  },

  // 导出参加双选会职位 Excel
  exportJobFairWhiteList: async () => {
    return await request.download({ url: `/menduner/system/job-fair/detail/export-excel` })
  }
}